// $ export LD_LIBRARY_PATH=/home/masta/pixlib2021/libpixlib:$LD_LIBRARY_PATH
// $ gcc -Wall -s -o detourage detourage.c -I./libpixlib -L./libpixlib -lpixlib
// ./detourage

#include <pixlib.h>

int main()
{
	PIX *img = pix_load_png("img/1.png");
	if(!img) return 1;

	for(int y=0; y<img->height; y++)
	{
 		for(int x=0; x<img->width; x++)
		{
			u8* p = img->pixels + (x+ y * img->width) * img->nchannels;

			// pixel bleu ciel devient noir
			if ( (p[2] - p[0]) > 10 && (p[2] > p[1]))
			{
				p[0] = p[1] = p[2] = 50;
				//p[0] = 72;
				//p[1] = 74;
				//p[2] = 55;
			}
		}
	}

	pix_save_png(img, "detourage.png");
	//pix_save_jpg(img, "2.jpg", 80);

	pix_destroy(img);
	return 0;
}
